Subject: Re: [DNSOP] Bar BOF in Seoul and Mailing List - DNS over HTTP ideas

From: Patrick McManus <[email-masked]>
Date: Thu, 20 Oct 2016 12:57:51 -0400

Hi All - an update on this:

We're planning an informal Bar BOF on this topic Tuesday night in Seoul.
The place is TBD - but I'll reply to this mail as we get closer with the
detail. Just hold the place on your dance-card.

If you haven't joined the list, there is some good discussion there and
even a draft (thanks Paul and Joe!) - check it out on the archives.

-Patrick

On Tue, Sep 13, 2016 at 11:22 AM, Patrick McManus <[email-masked]>
wrote:

> Hi All -
>
> DNS over HTTP comes up again and again - each time the context is a bit
> different. Some efforts try and extract information from the DNS via HTTP,
> others try and modify the DNS information via HTTP, others try and use HTTP
> as a tunnel for the DNS protocol, and still others aim to integrate DNS
> information directly into the HTTP protocol stack. Along the way there are
> firewalls, caches, markup languages, content-encodings, half solutions,
> security challenges, and other dragons.
>
> Someone made the excellent suggestion that we try and get a broad set of
> expertise here - both from the folks that understand DNS, the folks that
> are more experienced with HTTP, as well as the folks well versed in
> interfaces together to build a more complete set of requirements and after
> that's done we can make a gut check on whether that's a problem we want to
> solve together.
>
> Let's hold an informal bar-bof in Seoul (time and place TBD) on the topic
> and see if we can get critical mass together for the effort - we can
> discuss forums/etc for this work along the way - but I'm most interested to
> see if we can get the attention of the diverse set of folks necessary to
> make it succeed.
>
> There is a new list as a way to prepare for that meetup.
>
> List address: [email-masked]
> Archive: https://mailarchive.ietf.org/arch/search/?email_list=dnsoverhttp
> To subscribe: https://www.ietf.org/mailman/listinfo/dnsoverhttp
>
> I know some folk are working in this space already - please join
> dnsoverhttp and share what you're working on (or have worked on in the past
> and lessons learned from it)
>
> Thanks!
> -Patrick
>
>
>
>

---

From: Paul Hoffman <[email-masked]>
Date: Fri, 21 Oct 2016 23:42:27 +0000

On Oct 20, 2016, at 9:57 AM, Patrick McManus <[email-masked]> wrote:
> We're planning an informal Bar BOF on this topic Tuesday night in Seoul. The place is TBD - but I'll reply to this mail as we get closer with the detail. Just hold the place on your dance-card.

The official agenda just came out, and there is no Social Event listed for Tuesday.

Patrick: please pick a time as well as a place. The last IETF meeting ends at 1820. We could meet right then in order to not push dinner off too much, or we could meet "after dinner". We'll all have different preferences, so let's leave it to Patrick to disappoint some of us. :-)